Bug 45082 - minor wrong error message about RewriteRule flag
Summary: minor wrong error message about RewriteRule flag
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_rewrite (show other bugs)
Version: 2.5-HEAD
Hardware: All All
: P4 minor with 4 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: ErrorMessage, FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2008-05-27 09:07 UTC by Takashi Sato
Modified: 2009-05-19 12:23 UTC (History)
1 user (show)



Attachments
patch for 2.2 HEAD (2.01 KB, patch)
2008-08-18 12:29 UTC, Vitaly Polonetsky
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takashi Sato 2008-05-27 09:07:45 UTC
If you write to httpd.conf:
RewriteEngine On
RewriteRule ^/foo/$ http://example.com/ [L, R]

then you will get:
Syntax error on line 32 of /usr/local/apache2/conf/httpd.conf:
RewriteCond: bad flag delimiters

RewriteCond?

This error message is in the function cmd_parseflagfield, 
which is called by both RewriteCond and RewriteRule.
Comment 1 Vitaly Polonetsky 2008-08-18 12:29:08 UTC
Created attachment 22452 [details]
patch for 2.2 HEAD

Provided patch fixing the error string returned by RewriteRule and RewriteCond.

This patch is against 2.2 HEAD, I have another one for trunk and 2.2.9. If you need I can upload binaries.

Please check it...
Comment 2 Ruediger Pluem 2008-08-18 12:36:55 UTC
Please NEVER ever reassign bugs. Otherwise bugs@httpd.apache.org is no longer informed about changes on this bug and it completely falls of the developers radar.
Comment 3 Takashi Sato 2009-05-19 07:31:37 UTC
Fixed in r776325. Thanks.
Comment 4 Vitaly Polonetsky 2009-05-19 09:45:25 UTC
If the patch was commited to the code base, shouldn't the bug's status be changed to RESOLVED/FIXED ?
Comment 5 William A. Rowe Jr. 2009-05-19 12:23:00 UTC
In answer to #4; yes.